Delete an item button from a menu For a local menu business location should match For a shared menu - when business location is not the main location, buttons are removed only from the overridden screens in these locations for the main location Not atomic: the buttons are removed one screen at a time, so a failure partway through leaves the screens already processed changed.
DELETE
/items/integration/v2/business-locations/{businessLocationId}/menus/{menuId}/items/{itemId}
curl \
--request DELETE 'https://api.trial.lsk.lightspeed.app/items/integration/v2/business-locations/{businessLocationId}/menus/{menuId}/items/{itemId}' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (403)
{
"status": "BAD_REQUEST",
"timestamp": "2026-05-04T09:42:00Z",
"message": "string",
"errorCode": "ikentoo.error.name.in-use",
"details": "My Item",
"apiSubExceptions": [
{
"field": "string",
"rejectedValue": "string",
"message": "string"
}
]
}
Response examples (404)
{
"status": "BAD_REQUEST",
"timestamp": "2026-05-04T09:42:00Z",
"message": "string",
"errorCode": "ikentoo.error.name.in-use",
"details": "My Item",
"apiSubExceptions": [
{
"field": "string",
"rejectedValue": "string",
"message": "string"
}
]
}
Response examples (500)
{
"status": "BAD_REQUEST",
"timestamp": "2026-05-04T09:42:00Z",
"message": "string",
"errorCode": "ikentoo.error.name.in-use",
"details": "My Item",
"apiSubExceptions": [
{
"field": "string",
"rejectedValue": "string",
"message": "string"
}
]
}